Bug 483160 - update to 5.3 installs and enables avahi
update to 5.3 installs and enables avahi
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: avahi (Show other bugs)
All Linux
high Severity high
: rc
: ---
Assigned To: Lennart Poettering
: Regression
: 513559 (view as bug list)
Depends On:
Blocks: 502912 599435
  Show dependency treegraph
Reported: 2009-01-29 16:48 EST by Ed Brown
Modified: 2015-01-14 10:20 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 599435 (view as bug list)
Last Closed: 2011-08-12 11:03:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ed Brown 2009-01-29 16:48:50 EST
Description of problem:
Updating from RHEL-5.2 to 5.3 installed and enabled avahi (because of cups update - cups depends on avahi-compat-libdns_sd which depends on avahi)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1."yum update" on RHEL-5.2 system that does not have avahi installed.
2. reboot
Actual results:
avahi is installed and running after reboot to new kernel

Expected results:
avahi should not be required by the compat libary rpm, avahi-compat-libdns_sd, and should not be installed because of dependency chains on systems where it is not installed

Additional info:
Automatic installation of daemons that open network ports and initiate broadcast traffic is a security significant event, and is unacceptable on enterprise servers.  I don't believe there's any reason avahi-compat-libdns_sd should require avahi, or if there is, avahi should not be configured to run by default.
Comment 8 Lennart Poettering 2009-12-17 13:48:07 EST
The reason why avahi-compat-libdns_sd requires avahi is because it links against the avahi libraries that are part of the avahi package.

The proper fix would be to split the avahi libraries off into a seperate package. That would be a non-trivial packaging change however, not sure if that is suitable for fastrack.

Splitting off the libraries is already being requested in bug 530087.
Comment 12 Tim Waugh 2010-06-02 09:47:18 EDT
*** Bug 513559 has been marked as a duplicate of this bug. ***
Comment 23 Brian Gollaher 2011-08-12 11:03:45 EDT
Closing this as we do not want to change component behaviour in 5.8.

Note You need to log in before you can comment on or make changes to this bug.